Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class StoredFunctionDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.StoredProcedureDefinition
oracle.toplink.tools.schemaframework.StoredFunctionDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class StoredFunctionDefinition
extends StoredProcedureDefinition

Purpose: Allow a semi-generic way of creating store function. Note that stored functions supported only on Oracle platform

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`StoredFunctionDefinition()`

Method Summary
`java.lang.String` | `getCreationHeader()`
`java.lang.String` | `getDeletionHeader()`
`int` | `getFirstArgumentIndex()`
`void` | `setReturnType(java.lang.Class type)` Prints return for stored function

Methods inherited from class oracle.toplink.tools.schemaframework.StoredProcedureDefinition
`addArgument, addArgument, addArgument, addArgument, addInOutputArgument, addInOutputArgument, addOutputArgument, addOutputArgument, addOutputArgument, addOutputArgument, addStatement, addVariable, addVariable, getArguments, getArgumentTypes, getStatements, getVariables, setArguments, setStatements, setVariables`

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoredFunctionDefinition

    public StoredFunctionDefinition()

Method Detail

### getCreationHeader

    public java.lang.String getCreationHeader()

  Overrides:
    `getCreationHeader` in class `StoredProcedureDefinition`

### getDeletionHeader

    public java.lang.String getDeletionHeader()

  Overrides:
    `getDeletionHeader` in class `StoredProcedureDefinition`

### getFirstArgumentIndex

    public int getFirstArgumentIndex()

  Overrides:
    `getFirstArgumentIndex` in class `StoredProcedureDefinition`

### setReturnType

    public void setReturnType(java.lang.Class type)

  Prints return for stored function

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD